%define phonon_epoch 5
%define phonon_major 4
%define phonon_version %(pkg-config --modversion phonon 2>/dev/null || echo 4.4.4)
%define libphonon_requires %mklibname phonon %{phonon_major}
%define kde_name  phonon-backend-xine

Summary: Xine phonon backend 
Name:    phonon-xine
Version: 4.4.4
Release: %mkrel 2
Epoch: 5
Group:   Sound
License: LGPLv2+
URL:     http://phonon.kde.org/
Source0: http://fr2.rpmfind.net/linux/KDE/stable/phonon/phonon-backend-xine/%{version}/src/phonon-backend-xine-%{version}.tar.bz2
Patch0: phonon-backend-xine-4.4.4-detect-phonon.patch
BuildRequires: automoc4
BuildRequires: cmake
BuildRequires: phonon-devel >= %{phonon_epoch}:4.4.4
BuildRequires: libxcb-devel
BuildRequires: libxine-devel
BuildRequires: kde4-macros
Requires: xine-plugins
Suggests: xine-pulse
Provides: phonon-backend

Provides: phonon-backend = %{phonon_epoch}:%{phonon_version}

Requires: %{libphonon_requires} >= %{phonon_epoch}:%{phonon_version}

%files
%defattr(-,root,root,-)
%doc COPYING.LIB
%{_kde_libdir}/kde4/plugins/phonon_backend/phonon_xine.so
%{_kde_datadir}/kde4/services/phononbackends/xine.desktop
%{_kde_iconsdir}/hicolor/*/apps/phonon-xine.*

#--------------------------------------------------------------------

%description
Xine phonon backend.

%prep
%setup -qn phonon-backend-xine-%{version}
%patch0 -p1

%build
%cmake_kde4 -DUSE_INSTALL_PLUGIN=TRUE
%make

%install
%makeinstall_std -C build

# move icons to hicolor
mv %{buildroot}%{_datadir}/icons/oxygen \
   %{buildroot}%{_datadir}/icons/hicolor


%changelog

* Mon Mar 19 2012 fwang <fwang> 5:4.4.4-2.mga2
+ Revision: 223871
- correct description

* Mon Mar 19 2012 fwang <fwang> 5:4.4.4-1.mga2
+ Revision: 223858
- add upstream patch to find correct phonon
- build verbose
- clean up spec

* Fri Jan 21 2011 dmorgan <dmorgan> 5:4.4.4-1.mga1
+ Revision: 29656
- Fix spec file
- Fix source name
- Fix release

* Mon Jan 17 2011 ahmad <ahmad> 5:4.4.4-0.20110104.5.mga1
+ Revision: 21635
- introduce libphonon_requires mancro and fix the phonon Requires

* Mon Jan 17 2011 ahmad <ahmad> 5:4.4.4-0.20110104.4.mga1
+ Revision: 21586
+ rebuild (emptylog)

* Mon Jan 17 2011 dmorgan <dmorgan> 5:4.4.4-0.20110104.3.mga1
+ Revision: 20643
- Add Epoch
- Fix BuildRequires
- imported package phonon-xine

